/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.DevisClt;

import javafx.beans.property.SimpleStringProperty;

public class DevisCltListe {
    
    private final SimpleStringProperty CodeDevis;
    private final SimpleStringProperty TypeClient;
    private final SimpleStringProperty CodeClient;
    private final SimpleStringProperty ModePaiement;
    private final SimpleStringProperty TotalDevis;
    private final SimpleStringProperty DateCreation;
    private final SimpleStringProperty FinValidite;
    
    
    public DevisCltListe(String CodeDevis, String TypeClient, String CodeClient, String ModePaiement, String TotalDevis,String DateCreation, String FinValidite) {
        this.CodeDevis= new SimpleStringProperty(CodeDevis);
        this.TypeClient= new SimpleStringProperty(TypeClient);
        this.CodeClient= new SimpleStringProperty(CodeClient);
        this.ModePaiement = new SimpleStringProperty(ModePaiement);
        this.TotalDevis= new SimpleStringProperty(TotalDevis);
        this.DateCreation= new SimpleStringProperty(DateCreation);
        this.FinValidite= new SimpleStringProperty(FinValidite);
    }
    
    public String getCodeDevis() {
        return CodeDevis.get();
    }
    
    public String getTypeClient() {
        return TypeClient.get();
    }
    
    public String getCodeClient() {
        return CodeClient.get();
    }
    
    public String getTotalDevis() {
        return TotalDevis.get();
    }
    
    public String getModePaiement() {
        return ModePaiement.get();
    }
    
    public String getDateCreation() {
        return DateCreation.get();
    }
    
    public String getFinValidite() {
        return FinValidite.get();
    }
    
}
